<?php

namespace Drupal\access_policy\Plugin\access_policy\AccessPolicyType;

/**
 * Default access policy type.
 *
 * @AccessPolicyType(
 *   id = "default",
 *   label = @Translation("Drupal default"),
 *   description = @Translation("Allow Drupal core to control all access. This is the equivalent of having no access policy."),
 *   weight = 0,
 *   operations = {
 *     "view" = { },
 *     "view all revisions" = { },
 *     "update" = { },
 *     "delete" = { },
 *     "view unpublished" = { },
 *     "manage access" = { },
 *   }
 * )
 *
 * @deprecated in access_policy:1.0.0-beta7 and is removed from access_policy:1.0.0-beta8. There is no
 *   replacement.
 *
 * @see https://www.drupal.org/project/access_policy/issues/3419014
 */
class DefaultAccess extends AccessPolicyTypeBase {

}
